:host {
  a {
    font-family: Poppins-Regular, sans-serif;
    font-size: 14px;
    line-height: 1.7;
    color: #666666;
    margin: 0;
    transition: all 0.4s;
    text-decoration: none;
    -webkit-transition: all 0.4s;
    -o-transition: all 0.4s;
    -moz-transition: all 0.4s;
  }

  a:focus {
    outline: none !important;
  }

  a:hover {
    text-decoration: none;
    color: #fff;
  }

  /*---------------------------------------------*/
  h1,h2,h3,h4,h5,h6 {
    margin: 0;
  }

  p {
    font-family: Poppins-Regular, sans-serif;
    font-size: 14px;
    line-height: 1.7;
    color: #666666;
    margin: 0;
  }

  ul, li {
    margin: 0;
    list-style-type: none;
  }


  /*---------------------------------------------*/
  input {
    outline: none;
    border: none;
  }

  textarea {
    outline: none;
    border: none;
  }

  textarea:focus, input:focus {
    border-color: transparent !important;
  }

  input:focus::-webkit-input-placeholder { color:transparent; }
  input:focus:-moz-placeholder { color:transparent; }
  input:focus::-moz-placeholder { color:transparent; }
  input:focus:-ms-input-placeholder { color:transparent; }

  textarea:focus::-webkit-input-placeholder { color:transparent; }
  textarea:focus:-moz-placeholder { color:transparent; }
  textarea:focus::-moz-placeholder { color:transparent; }
  textarea:focus:-ms-input-placeholder { color:transparent; }

  input::-webkit-input-placeholder { color: #fff;}
  input:-moz-placeholder { color: #fff;}
  input::-moz-placeholder { color: #fff;}
  input:-ms-input-placeholder { color: #fff;}

  textarea::-webkit-input-placeholder { color: #fff;}
  textarea:-moz-placeholder { color: #fff;}
  textarea::-moz-placeholder { color: #fff;}
  textarea:-ms-input-placeholder { color: #fff;}

  label {
    margin: 0;
    display: block;
  }

  /*---------------------------------------------*/
  button {
    outline: none !important;
    border: none;
    background: transparent;
  }

  button:hover {
    cursor: pointer;
  }

  iframe {
    border: none !important;
  }


  /*//////////////////////////////////////////////////////////////////
  [ Utility ]*/
  .txt1 {
    font-family: Poppins-Regular, sans-serif;
    font-size: 13px;
    color: #e5e5e5;
    line-height: 1.5;
  }


  /*//////////////////////////////////////////////////////////////////
  [ login ]*/

  .limiter {
    width: 100%;
    margin: 0 auto;
  }

  .container-login100 {
    width: 100%;
    min-height: 100vh;
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    padding: 15px;

    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    position: relative;
    z-index: 1;
  }

  .container-login100::before {
    content: "";
    display: block;
    position: absolute;
    z-index: -1;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: rgba(255,255,255,0.9);
  }

  .wrap-login100 {
    width: 500px;
    border-radius: 10px;
    overflow: hidden;
    padding: 55px 55px 37px 55px;

    background: #cc0000;
    background: -webkit-linear-gradient(to bottom, #dd8583, #cc0000);
    background: -o-linear-gradient(to bottom, #dd8583, #cc0000);
    background: -moz-linear-gradient(to bottom, #dd8583, #cc0000);
    background: linear-gradient(to bottom, #dd8583, #cc0000);
  }


  /*------------------------------------------------------------------
  [ Form ]*/

  .login100-form {
    width: 100%;
  }

  .login100-form-logo {
    font-size: 60px;
    color: #333333;

    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 120px;
    height: 120px;
    border-radius: 50%;
    background-color: #fff;
    margin: 0 auto;
  }

  .login100-form-title {
    font-family: Poppins-Medium, sans-serif;
    font-size: 30px;
    color: #fff;
    line-height: 1.2;
    text-align: center;
    text-transform: uppercase;

    display: block;
  }


  /*------------------------------------------------------------------
  [ Input ]*/

  .wrap-input100 {
    width: 100%;
    position: relative;
    border-bottom: 2px solid rgba(255,255,255,0.24);
    margin-bottom: 30px;
  }

  .input100 {
    font-family: Poppins-Regular, sans-serif;
    font-size: 16px;
    color: #fff;
    line-height: 1.2;

    display: block;
    width: 100%;
    height: 45px;
    background: transparent;
    padding: 0 5px 0 38px;
  }

  /*---------------------------------------------*/
  .focus-input100 {
    position: absolute;
    display: block;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    pointer-events: none;
  }

  .focus-input100::before {
    content: "";
    display: block;
    position: absolute;
    bottom: -2px;
    left: 0;
    width: 0;
    height: 2px;

    -webkit-transition: all 0.4s;
    -o-transition: all 0.4s;
    -moz-transition: all 0.4s;
    transition: all 0.4s;

    background: #fff;
  }

  fa-icon.reset {
    font-size: 18px;
    color: #fff;
    display: block;
    width: 100%;
    position: absolute;
    top: 6px;
    left: 0;
    padding-left: 5px;

    -webkit-transition: all 0.4s;
    -o-transition: all 0.4s;
    -moz-transition: all 0.4s;
    transition: all 0.4s;
  }

  .input100:focus {
    padding-left: 5px;
  }

  .input100:focus + .focus-input100 > fa-icon.reset {
    top: -18px;
    font-size: 16px;
  }

  .input100:focus + .focus-input100::before {
    width: 100%;
  }

  .has-val.input100 + .focus-input100 > fa-icon.reset {
    top: -18px;
    font-size: 16px;
  }

  .has-val.input100 + .focus-input100::before {
    width: 100%;
  }

  .has-val.input100 {
    padding-left: 5px;
  }


  /*==================================================================
  [ Restyle Checkbox ]*/

  .contact100-form-checkbox {
    padding-left: 5px;
    padding-top: 5px;
    padding-bottom: 35px;
  }

  .input-checkbox100 {
    display: none;
  }

  .label-checkbox100 {
    font-family: Poppins-Regular, sans-serif;
    font-size: 13px;
    color: #fff;
    line-height: 1.2;

    display: block;
    position: relative;
    padding-left: 26px;
    cursor: pointer;
  }

  .input-checkbox100:checked + .label-checkbox100::before {
    color: #555555;
  }


  /*------------------------------------------------------------------
  [ Button ]*/
  .container-login100-form-btn {
    width: 100%;
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
  }

  .login100-form-btn {
    font-family: Poppins-Medium, sans-serif;
    font-size: 16px;
    color: #555555;
    line-height: 1.2;

    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 20px;
    min-width: 120px;
    height: 50px;
    border-radius: 25px;

    background: #fff;
    position: relative;
    z-index: 1;

    -webkit-transition: all 0.4s;
    -o-transition: all 0.4s;
    -moz-transition: all 0.4s;
    transition: all 0.4s;
  }

  .login100-form-btn::before {
    content: "";
    display: block;
    position: absolute;
    z-index: -1;
    width: 100%;
    height: 100%;
    border-radius: 25px;
    background-color: #fff;
    top: 0;
    left: 0;
    opacity: 1;

    -webkit-transition: all 0.4s;
    -o-transition: all 0.4s;
    -moz-transition: all 0.4s;
    transition: all 0.4s;
  }

  .login100-form-btn:hover:before {
    opacity: 0;
  }

  .disabled {
    opacity: 0.6;
    background-color: white;
  }

  .not-allowed {
    cursor: not-allowed !important;
  }


  /*------------------------------------------------------------------
  [ Responsive ]*/

  @media (max-width: 576px) {
    .wrap-login100 {
      padding: 55px 15px 37px 15px;
    }
  }
}
